Index: src/documentation/constructs/actions.dox
===================================================================
--- src/documentation/constructs/actions.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
+++ src/documentation/constructs/actions.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
@@ -0,0 +1,13 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file actions.dox
+ *
+ * Created on: Oct 28, 2011
+ *    Author: heber
+ */
Index: src/documentation/constructs/bondgraph.dox
===================================================================
--- src/documentation/constructs/bondgraph.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
+++ src/documentation/constructs/bondgraph.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
@@ -0,0 +1,13 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file bondgraph.dox
+ *
+ * Created on: Oct 28, 2011
+ *    Author: heber
+ */
Index: src/documentation/constructs/constructs.dox
===================================================================
--- src/documentation/constructs/constructs.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
+++ src/documentation/constructs/constructs.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
@@ -0,0 +1,37 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file constructs
+ *
+ * Created on: Oct 11, 2011
+ *    Author: heber
+ */
+
+
+/*
+ * \page constructs "List of various rigid constructs"
+ *
+ * The following constructs are present and should be known to you as an alphabetical list:
+ *
+ *  \li \subpage actions
+ *  \li \subpage linearalgebra
+ *  \li \subpage bondgraph
+ *  \li \subpage descriptors
+ *  \li \subpage fragmentation
+ *  \li \subpage observers
+ *  \li \subpage parsers
+ *  \li \subpage randomnumbers
+ *  \li \subpage serialization
+ *  \li \subpage shapes
+ *  \li \subpage tesselation
+ *  \li \subpage world
+ *
+ *  Note that the most important construct is the \subpage world "World" whose functions
+ *  should absolutely be known.
+ *
+ */
Index: src/documentation/constructs/descriptors.dox
===================================================================
--- src/documentation/constructs/descriptors.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
+++ src/documentation/constructs/descriptors.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
@@ -0,0 +1,13 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file descriptors.dox
+ *
+ * Created on: Oct 28, 2011
+ *    Author: heber
+ */
Index: src/documentation/constructs/fragmentation.dox
===================================================================
--- src/documentation/constructs/fragmentation.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
+++ src/documentation/constructs/fragmentation.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
@@ -0,0 +1,13 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file fragmentation.dox
+ *
+ * Created on: Oct 28, 2011
+ *    Author: heber
+ */
Index: src/documentation/constructs/observers_observables.dox
===================================================================
--- src/documentation/constructs/observers_observables.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
+++ src/documentation/constructs/observers_observables.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
@@ -0,0 +1,13 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file observers_observables.dox
+ *
+ * Created on: Oct 12, 2011
+ *    Author: heber
+ */
Index: src/documentation/constructs/parsers.dox
===================================================================
--- src/documentation/constructs/parsers.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
+++ src/documentation/constructs/parsers.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
@@ -0,0 +1,13 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file parsers.dox
+ *
+ * Created on: Oct 28, 2011
+ *    Author: heber
+ */
Index: src/documentation/constructs/randomnumbers.dox
===================================================================
--- src/documentation/constructs/randomnumbers.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
+++ src/documentation/constructs/randomnumbers.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
@@ -0,0 +1,13 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file randomnumbers.dox
+ *
+ * Created on: Oct 28, 2011
+ *    Author: heber
+ */
Index: src/documentation/constructs/serialization.dox
===================================================================
--- src/documentation/constructs/serialization.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
+++ src/documentation/constructs/serialization.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
@@ -0,0 +1,15 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file serialization.dox
+ *
+ *  Here, we explain what serialization is and how it is used within MoleCuilder.
+ *
+ * Created on: Oct 11, 2011
+ *    Author: heber
+ */
Index: src/documentation/constructs/shapes.dox
===================================================================
--- src/documentation/constructs/shapes.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
+++ src/documentation/constructs/shapes.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
@@ -0,0 +1,13 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file shapes.dox
+ *
+ * Created on: Oct 28, 2011
+ *    Author: heber
+ */
Index: src/documentation/constructs/tesselation.dox
===================================================================
--- src/documentation/constructs/tesselation.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
+++ src/documentation/constructs/tesselation.dox	(revision 19bc7497091ba44d7d2c52ee7ba0f5997f9f291e)
@@ -0,0 +1,13 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file tesselation.dox
+ *
+ * Created on: Oct 28, 2011
+ *    Author: heber
+ */
